#! /bin/bash

PROJECT=$1
BRANCH=$2
LOCALE_=$3
LANG_=$4
VER=$5
OPAC=$6
STAFF=$7
LANGS=$8

echo "PROJECT='$PROJECT',  BRANCH='$BRANCH',  LOCALE_='$LOCALE_',  LANG_='$LANG_',  VER='$VER',  OPAC='$OPAC',  STAFF='$STAFF',  LANG2='$LANGS'"
echo "Prepare html-pages for OPAC/PROG (project $PROJECT, language $LANG_/$LOCALE_)"

pootle_page1="$LANG_=http://translate.koha-community.org/$LANG_/"$PROJECT"/$LOCALE_-i-opac-t-prog-v-$VER.po/translate/#page="
pootle_pages=$pootle_page1

# LANGS pairs
if [ ! -z "$LANGS" ] ;then
 subs=":"
 if [ -z "${LANGS##*$subs*}" ] ;then
  l=(${LANGS//:/ })
  for LANGLANG in ${l[*]} ;do
   subsubs="="
   if [ -z "${LANGLANG##*$subsubs*}" ] ;then
    ll=(${LANGLANG//=/ })
    echo "Found language pair: LANG="${ll[0]}" LOCALE="${ll[1]}
    pootle_page2="${ll[0]}=http://translate.koha-community.org/${ll[0]}/"$PROJECT"/${ll[1]}-i-opac-t-prog-v-$VER.po/translate/#page="
    pootle_pages=$pootle_pages"|"$pootle_page2
   fi
  done
 else
  subsubs="="
  if [ -z "${LANGS##*$subsubs*}" ] ;then
   ll=(${LANGS//=/ })
   echo "Found language pair: LANG="${ll[0]}" LOCALE="${ll[1]}
   pootle_page2="${ll[0]}=http://translate.koha-community.org/${ll[0]}/"$PROJECT"/${ll[1]}-i-opac-t-prog-v-$VER.po/translate/#page="
   pootle_pages=$pootle_pages"|"$pootle_page2
  fi
 fi
fi

perl ../scripts/po_parse_page.pl \
       $LOCALE_ \
       "$LOCALE_-i-opac-t-prog-v-$VER.po" \
       "../" \
       $pootle_pages \
       "http://git.koha-community.org/gitweb/?p=koha.git;nb="$BRANCH";a=blob;f=koha-tmpl/" \
       "web.pl=opac-tmpl/prog/en/modules/>>"$OPAC"/cgi-bin/koha/|.tt>>.pl" \
       "git.pl=opac-tmpl/prog/en/modules/>>http://git.koha-community.org/gitweb/?p=koha.git;nb="$BRANCH";a=blob;f=opac/|.tt>>.pl" \
       > "po_parse__opac_prog_$LANG_...LOG.txt"

